<?php
/*
 * Plugin Name: Piwecard
 * Version: auto
 * Description: envoi de Cartes Virtuelles
 * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=487
 * Author: Tiico & Julien1311
 * */
 
if (!defined('PHPWG_ROOT_PATH'))  die('Hacking attempt!');

global $prefixeTable;

define('ECARD_VERSION', '1.1.0');

define('ECARD_ROOT', dirname(__FILE__));
define('ECARD_DIR', basename(dirname(__FILE__)));
define('ECARD_PATH', PHPWG_PLUGINS_PATH.ECARD_DIR.'/');
define('ECARD_INC_PATH', PHPWG_PLUGINS_PATH . ECARD_DIR . '/include/');
define('ECARD_INSTALL_PATH', PHPWG_PLUGINS_PATH . ECARD_DIR . '/install/');
define('ECARD_TABLE', $prefixeTable . 'piwecard');
define('ECARD_ADMIN',   get_root_url() . 'admin.php?page=plugin-'.ECARD_DIR);

load_language('plugin.lang', ECARD_PATH);

include_once(ECARD_INC_PATH.'piwecard.class.php');
include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
include_once(PHPWG_ROOT_PATH.'include/functions_picture.inc.php');
global $page, $template;

// Load language files
load_language('plugin.lang', ECARD_PATH);	

$ecard = new Piwecard();

// Add ecard to picture page
add_event_handler('loc_end_picture', array(&$ecard, 'display_ecard_to_picture')); 

add_event_handler('loc_end_section_init', array(&$ecard, 'section_init_ecard'));
add_event_handler('loc_end_index', array(&$ecard, 'index_ecard'));

add_event_handler('loc_end_page_header', 'css_js_ecard');

set_plugin_data($plugin['id'], $ecard);

/* +-----------------------------------------------------------------------+
 * | Plugin admin                                                          |
 * +-----------------------------------------------------------------------+ */

// Add an entry to the plugins menu
add_event_handler('get_admin_plugin_menu_links', 'ecard_admin_menu');

function ecard_admin_menu($menu) {
	array_push(
		$menu, array(
			'NAME'  => 'Piwecard',
			'URL'   => ECARD_ADMIN,
		)
	);      
	return $menu;
}

/* +-----------------------------------------------------------------------+
 * | CSS/JS Style                                                          |
 * +-----------------------------------------------------------------------+ */

function css_js_ecard() {
	global $template;
	
	if (defined('IN_ADMIN') and IN_ADMIN)
		$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.ECARD_PATH . 'css/admin.css">');
	
	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.ECARD_PATH . 'css/piwecard.css">');
}	
?>